[android-components](../../../../index.md) / [mozilla.components.lib.nearby](../../../index.md) / [NearbyConnection](../../index.md) / [ConnectionState](../index.md) / [Failure](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`Failure(message: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`

A failure has occurred.

### Parameters

`message` - an error message describing the failure